Bug 281471 - bonobo-activation-server keeps running after logout
bonobo-activation-server keeps running after logout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2007-09-06 17:24 EDT by Graham Cole
Modified: 2009-09-17 04:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:14:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from a still-running bonobo-activation-server process (3.20 KB, text/plain)
2007-11-19 11:58 EST, Graham Cole
no flags Details
bonobo-activation-server backtrace with more debug symbols (3.12 KB, text/plain)
2007-12-07 14:12 EST, Graham Cole
no flags Details

  None (edit)
Description Graham Cole 2007-09-06 17:24:58 EDT
Description of problem:
bonobo-activation-server processes persist after users log out of the GNOME desktop.


How reproducible:
not *every* time, but most times I try.


Steps to Reproduce:
1. log in
2. log out
  
Actual results:
bonobo-activation-server persists as the only process belonging to my user. Upon
logging back in, all the GNOME panel applets refuse to start and present me with
dialogs offering to delete the applet

Expected results:
bonobo-activation-server to die along with everything else

Additional info:
I know there are incidences of similar behaviour involving
evolution-data-server. To be clear, this is happening even when no e-d-s process
has been running during the session.
Comment 1 David Rees 2007-11-12 03:05:16 EST
I can confirm the same bug after upgrading to F8. There are numerous reports out
there linking the issue of Gnome panel applets refusing to start, but I have
found that killing bonobo-activation-server and relogging gets the applets to
start up normally again.
Comment 2 Andrew Price 2007-11-17 22:12:12 EST
This is still happening on Fedora 8. For completeness, I've been testing on the
same machines as Graham has. We are using a network of computers with NFS
homedirs and LDAP auth.

The bonobo-activation-server processes are still hanging around after logout and
recent testing has shown it to be the reason why the second person to log in and
insert a usb storage device will see an error rather than it being automounted
until the first user's bonobo-activation-server processes have been killed. We
have full permissions on these systems and are eager to help solve this problem
so feel free to use our access to such resources as your own testing resource.
What further information would you need in order to track down this bug?

Thanks
Comment 3 Ray Strode [halfline] 2007-11-19 09:59:00 EST
if bonobo-activation-server is hanging around, usually that means some other
process is connected to it keeping it around.

Are you sure its the only process hanging around?

what's the output of

ps -U andy -u andy -f

where andy is the relevant username

Also, can you strace bonobo-activation-server?

something like:

strace -s512 -p <pid of bonobo-activation-server here>

and post the output?

if you could install the libbonobo-devel package and get a backtrace by doing:

gdb attach <pid of bonobo-activation-server>
thread apply all backtrace full

then that would be useful, too.  One other bit that might be useful is the ouput of 

ls -l /proc/<pid of bonobo-activation-server/fd


Comment 4 Graham Cole 2007-11-19 11:58:13 EST
Created attachment 263671 [details]
backtrace from a still-running bonobo-activation-server process
Comment 5 Graham Cole 2007-11-19 12:03:00 EST
(In reply to comment #3)
> Are you sure its the only process hanging around?
 
[chckens@uranium ~]$ ps -U chckens -u chckens -f
UID        PID  PPID  C STIME TTY          TIME CMD
chckens   4565     1  0 16:03 ?        00:00:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=17
chckens   4621  4619  0 16:05 ?        00:00:00 sshd: chckens@pts/1
chckens   4622  4621  0 16:05 pts/1    00:00:00 -bash
chckens   4680  4622  0 16:06 pts/1    00:00:00 ps -U chckens -u chckens -f

(obviously, the other three processes can be accounted for)


> Also, can you strace bonobo-activation-server?

[chckens@uranium ~]$ strace -s512 -p 4565
Process 4565 attached - interrupt to quit
poll(

(that's all it outputs in the ~15 minutes I had it running)


> if you could install the libbonobo-devel package and get a backtrace by doing:
> 
> gdb attach <pid of bonobo-activation-server>
> thread apply all backtrace full

output attached.

Comment 6 Jorgen Sanchez 2007-11-29 12:58:58 EST
This bug is very old. It comes (at least) from Fedora 6. It is not present in
Ubuntu 7.10 (Gnome 2.20.1) where you can login immediately after a logout. Even
there you can do multiple concurrent logins.
Comment 7 dhageman 2007-12-04 22:40:56 EST
(In reply to comment #5)
> (In reply to comment #3)
> > Are you sure its the only process hanging around?
>  
> [chckens@uranium ~]$ ps -U chckens -u chckens -f
> UID        PID  PPID  C STIME TTY          TIME CMD
> chckens   4565     1  0 16:03 ?        00:00:00
> /usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=17
> chckens   4621  4619  0 16:05 ?        00:00:00 sshd: chckens@pts/1
> chckens   4622  4621  0 16:05 pts/1    00:00:00 -bash
> chckens   4680  4622  0 16:06 pts/1    00:00:00 ps -U chckens -u chckens -f
> 
> (obviously, the other three processes can be accounted for)
> 
> 
> > Also, can you strace bonobo-activation-server?
> 
> [chckens@uranium ~]$ strace -s512 -p 4565
> Process 4565 attached - interrupt to quit
> poll(
> 
> (that's all it outputs in the ~15 minutes I had it running)
> 
> 
> > if you could install the libbonobo-devel package and get a backtrace by doing:
> > 
> > gdb attach <pid of bonobo-activation-server>
> > thread apply all backtrace full
> 
> output attached.
> 
> 

I have a similar setup and see the same thing as well.  I don't just notice it
with Fedora 8 ... it has existed on the past several versions of Fedora.
Comment 8 James Ralston 2007-12-07 11:29:30 EST
I agree with Jorgen Sanchez in comment 6: this bug is very old; b-a-s has been
persisting after logout since at least FC6, if not earlier.  I've finally
resorted to adding logic to the end of Xclients to track the damn things down
and reap them.

Ray, is there any other information we can provide that would help you track
this down?  Would an strace of b-a-s from in the middle of a full session
through session exit be useful?
Comment 9 Ray Strode [halfline] 2007-12-07 13:19:14 EST
The output of

 /usr/sbin/lsof -U 

(not as root)

would be good.  Also, a backtrace with more debuginfo would be helpful.  Can you
install glib2-debuginfo, ORBit2-debuginfo, libbonobo-debuginfo and then run:

gdb attach <pid of bonobo-activation-server>
thread apply all backtrace full

when you're seeing the problem?
Comment 10 Graham Cole 2007-12-07 14:12:23 EST
Created attachment 281491 [details]
bonobo-activation-server backtrace with more debug symbols
Comment 11 Ray Strode [halfline] 2007-12-07 15:13:59 EST
hmm, so there is definitely nothing around to keep it alive.  it's just sitting
there in poll() not doing anything.

i'll have to dig through the code to figure out why it could be doing that.  I
don't have time to do that right now though 

trying to get GDM usable again in rawhide.

Moving to ASSIGNED, but I won't be looking in it anymore for some time.  Adding
to F9Target, but when I figure it out, i'll do an F8 update also.
Comment 12 Jorgen Sanchez 2007-12-10 12:45:40 EST
I have read somewhere (but I really don't know if this is true) that
bonobo-activation-server is not tied to sessions, so the described behavior
(keeps running after logout) may be normal. The problem here is no other that
the panel applets refuses to start, giving that nasty "OAFIID...." error
messages (asking each one the user to delete it from the panel).
Comment 13 James Ralston 2007-12-10 15:58:35 EST
I disbelieve that bonobo-activation-server is not tied to sessions, for the
simple reason that a new one is started for every session.

(Ray's comment 11 also seems to indicate that bonobo-activation-server should
exit after there are no other process around to keep it alive.)
Comment 14 Jorgen Sanchez 2007-12-11 13:06:16 EST
James #13: Well it appears that gnome-session do bonobo requests and, as a
consequence of that, b-a-s starts on every gnome login. That's why I said b-a-s
is not tied to sessions.
Comment 15 Jorgen Sanchez 2007-12-22 14:18:24 EST
The logout -> immediate relogin problem seems to be fixed on the latter
libbonobo updates, but if you try login to same user on two concurrent sessions
(i.e. one on the console, another via NX) all your panel applets refuses to
start (on the latter session).
Comment 16 Jorgen Sanchez 2008-01-14 15:42:21 EST
Actually not fixed.... again I note it's failing if I logout from a console
session and immediately do a remote login via NX. Surely it's not an NX problem,
cause that's not happening to my (other) Ubuntu 7.10 machine.
Comment 17 Bug Zapper 2008-11-26 02:45:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 02:14:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Chris Jones 2009-01-23 05:09:36 EST
This bug (or one remarkably similar) still seems to be present in f10, 

$ps aux | grep user
user   9840  0.0  0.0  59392   264 ?        S    Jan20   0:01 gnome-panel
user   9843  0.0  0.0  43760   192 ?        Ssl  Jan20   0:00 /usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=18

$last user
user  :0                            Tue Jan 20 08:45 - 08:56  (00:10)

This bug should probably be reopened against f10.
Comment 20 Jarkko 2009-09-17 04:37:42 EDT
These bugs are probably the same issue: bug #123655 and bug #139999

Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=534485

Note You need to log in before you can comment on or make changes to this bug.